﻿import es
import langlib
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2011/language/"

popup_common = langlib.Strings(lang_dir + "popup_common.ini")
popup_text = langlib.Strings(lang_dir + "admin/manager/popup_manager.ini")

required = ["admins", "maps"]

# ******************** Load ********************
def load():
	create_popup()

	for item in required:
		es.load("soccer_mod_2011/admin/manager/%s" % (item))

# ******************** Create popup ********************
def create_popup():
	popup = popuplib.create("sm_popup_admin_manager")

	popup.addline("SOCCER MOD %s" % (popup_text("title")))
	popup.addline(" ")

	for i in range(0, len(required)):
		popup.addline("->%s. %s" % (i + 1, popup_text(required[i])))
		popup.submenu(i + 1, "sm_popup_admin_manager_%s" % (required[i]))

	popup.addline(" ")
	popup.addline("->9. %s" % (popup_common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (popup_common("close")))

	for i in range(len(required) + 1, 9):
		popup.submenu(i, "sm_popup_admin_manager")

	popup.submenu(9, "sm_popup_admin")

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_admin_manager")

	for item in required:
		es.unload("soccer_mod_2011/admin/manager/%s" % (item))